SDL_tolower(3)

NAME
SDL_tolower - Convert low-ASCII English letters to lowercase.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

int SDL_tolower(int x);

DESCRIPTION

WARNING: Regardless of system locale, this will only convert ASCII values 'A' through 'Z' to lowercase.

This function returns the lowercase equivalent of x. If a character cannot be converted, or is already lowercase, this function returns x.

FUNCTION PARAMETERS

x   character value to check.

RETURN VALUE
Returns lowercase version of x, or x if no conversion available.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.